<?xml version="1.0" ?>
<wsdl:definitions
   targetNamespace="http://example.com/shipping/partnerLinkTypes/"
   xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype"
   xmlns:sif="http://example.com/shipping/interfaces/"
   xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  
  <wsdl:import location="shippingPT.wsdl"
	       namespace="http://example.com/shipping/interfaces/" />
  
  <plnk:partnerLinkType name="shippingLT">
    <plnk:role name="shippingService"
               portType="sif:shippingServicePT" />
    <plnk:role name="shippingServiceCustomer"
               portType="sif:shippingServiceCustomerPT" />
  </plnk:partnerLinkType>
  
  <plnk:partnerLinkType name="IntermediaryPartnerLinkType">
    <plnk:role name="IntermediaryServiceRole"
	       portType="sif:IntermediaryPortType">
    </plnk:role>
    <plnk:role name="IntermediaryCallbackServiceRole"
	       portType="sif:IntermediaryCallbackPortType">
    </plnk:role>
  </plnk:partnerLinkType>
  
</wsdl:definitions>
